Create contract billing term

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id

Request

This endpoint expects an object.
billingStartDatestringRequired
Billing start date
isRecurringbooleanRequired
Is recurring billing
intervalenumRequired
Interval unit
intervalFrequencydoubleRequired
Interval frequency
invoiceDateStrategyenumRequired
Invoice date strategy
netPaymentTermsdoubleRequired
Days between invoice issue and due date
quantitydoubleRequired

Quantity; set to 0 for UNIT billingType

billingTypeenumRequired
Billing type
pricingTypeenumRequired

Pricing type. For TIERED and VOLUME, supply 2+ pricing entries with tier indices that are 0-indexed and contiguous (0, 1, 2, …) and tierMinimum values starting at 0 and strictly increasing.

pricinglist of objectsRequired
Pricing tiers
namestringOptional

Line item name. Required unless productId is provided, in which case it is populated from the product’s display name.

descriptionstringOptional
Line item description
includeInArrbooleanOptional

Whether this billing term contributes to ARR (Annual Recurring Revenue). Defaults based on billing type and interval when omitted (usage and one-time terms default to false).

durationdoubleOptionalDefaults to 0
Number of billing periods
eventTypeIdstringOptional
Usage event type ID
itemIdstringOptional
ERP item ID for the line item
productIdstring or nullOptional

Product ID from /v3/products. When set, name/description/itemId/classId are populated from the product for any not provided on the billing term. To ensure revenue reporting accuracy, associate the billing term with a product whenever applicable.

classIdstringOptional
ERP class ID
departmentIdstringOptional
Department ID
projectIdstringOptional
Project ID
discountobjectOptional
Discount configuration
billingTermGroupIdstringOptional
Billing term group ID. If provided, the BT joins an existing group. If omitted, a new group is created.
seatConfigobjectOptional

Seat-based billing configuration. When provided, the billing term is created as seat-based and seat changes are managed via the seat-amendment endpoints.

Response

Billing term created
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error